org.eclipse.net4j.util.io

## Interface ExtendedDataInput

- All Superinterfaces:
    java.io.DataInput
  All Known Implementing Classes:
    DataInputExtender, ExtendedDataInput.Delegating, ExtendedDataInputStream

      public interface ExtendedDataInput
      extends java.io.DataInput

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ExtendedDataInput.Delegating`
    `static class` | `ExtendedDataInput.Stream`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `readByteArray()`
    `<T extends java.lang.Enum<?>> T` | `readEnum(java.lang.Class<T> type)`
    `java.lang.Throwable` | `readException()`
    `java.lang.Object` | `readObject()`
    `java.lang.Object` | `readObject(java.lang.ClassLoader classLoader)`
    `java.lang.Object` | `readObject(ExtendedIOUtil.ClassResolver classResolver)`
    `java.lang.String` | `readString()`
    `int` | `readVarInt()`
    `long` | `readVarLong()`

    - ### Methods inherited from interface java.io.DataInput

      `readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

- - ### Method Detail

    - #### readVarInt

          int readVarInt()
                  throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### readVarLong

          long readVarLong()
                    throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### readByteArray

          byte[] readByteArray()
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readObject

          java.lang.Object readObject()
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readObject

          java.lang.Object readObject(java.lang.ClassLoader classLoader)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readObject

          java.lang.Object readObject(ExtendedIOUtil.ClassResolver classResolver)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readString

          java.lang.String readString()
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readEnum

          <T extends java.lang.Enum<?>> T readEnum(java.lang.Class<T> type)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### readException

          java.lang.Throwable readException()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.4

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html